Bug 650727 - Please don't remove gtksourceviewmmconfig.h.
Summary: Please don't remove gtksourceviewmmconfig.h.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gtksourceviewmm
Version: 13
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-07 22:30 UTC by Krzesimir Nowak
Modified: 2010-11-17 23:30 UTC (History)
1 user (show)

Fixed In Version: gtksourceviewmm-2.10.1-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-17 23:17:30 UTC
Type: ---


Attachments (Terms of Use)

Description Krzesimir Nowak 2010-11-07 22:30:43 UTC
Description of problem:
When package is being build, one line in spec file causes gtksourceviewmmconfig.h to be removed instead of being included to devel package.

Version-Release number of selected component (if applicable):
gtksourceviewmm-2.10.0-1

How reproducible:
Just install devel package and notice, that there is no config file.

Additional info:
The culprit is line 61. If I were this package maintainer I would just remove that and add a line to %files devel:
%{_libdir}/gtksourceviewmm-2.0

Oh, and by the way - there is 2.10.1 version available.

Comment 1 Haïkel Guémar 2010-11-07 23:02:33 UTC
I believe that gtksourceviewmmconfig.h is an internal header so it should not be distributed alongside public headers. So what's the rationale for providing it ?

Comment 2 Krzesimir Nowak 2010-11-08 11:47:29 UTC
Naah, it is not internal header in the same way like gtkmmconfig.h or glibmmconfig.h are not internal headers and they are distributed. These headers define some stuff like whether to disable deprecated stuff, version numbers, compiler abilities with regard to template handling and so on. And some of these defines are used in public headers.

If you are curious - see /usr/lib{64}/glibmm-2.4/include/glibmmconfig.h, which is distributed with glibmm24-devel.

The only cause that software using gtksourceviewmm (like nemiver) even compiled is that I forgot to add '#include <gtksourceviewmmconfig.h>' in sourceview.h, sourceiter.h and gtksourceviewmm.h, so preprocessor didn't look for nonexistent header. Which I fixed upstream.

Comment 3 Haïkel Guémar 2010-11-08 13:29:30 UTC
Ok, i'll fix this by the next build for F13+ and it will be backported to F12 before EOL. Thanks for reporting this issue.

Comment 4 Fedora Update System 2010-11-08 17:16:22 UTC
gtksourceviewmm-2.10.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gtksourceviewmm-2.10.1-1.fc14

Comment 5 Fedora Update System 2010-11-08 18:27:16 UTC
gtksourceviewmm-2.10.1-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/gtksourceviewmm-2.10.1-1.fc13

Comment 6 Fedora Update System 2010-11-10 01:12:14 UTC
gtksourceviewmm-2.10.1-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gtksourceviewmm'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/gtksourceviewmm-2.10.1-1.fc14

Comment 7 Fedora Update System 2010-11-17 23:17:26 UTC
gtksourceviewmm-2.10.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-11-17 23:30:45 UTC
gtksourceviewmm-2.10.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.